/*
 * CommGuiAboutBox.java
 */
import javax.swing.*;
import java.awt.event.*;

public class CommGuiAboutBox extends JDialog {

    public CommGuiAboutBox(JFrame parent) {
        super(parent);
        initComponents();
        getRootPane().setDefaultButton(closeButton);
    }

    Action closeAboutBox = new AbstractAction() {
            public void actionPerformed(ActionEvent e) {
                zavriAbout();
            }
        };

    private void zavriAbout() {
        dispose();
    }

    private void initComponents() {

        closeButton = new JButton();
        JLabel appTitleLabel = new JLabel("CommGui");
        JLabel versionLabel = new JLabel("Version:");
        JLabel appVersionLabel = new JLabel("0.9b");
        JLabel appDescLabel = new JLabel("Simple GUI for radio communication with motes.");
        JLabel imageLabel = new JLabel(new ImageIcon("about.png"));

        setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("About"); // NOI18N
        setModal(true);
        setResizable(false);

        ActionMap actionMap = new ActionMap();
        actionMap.put("closeAboutBox", closeAboutBox);

        closeButton.setAction(actionMap.get("closeAboutBox")); // NOI18N
        closeButton.setText("Close");

        appTitleLabel.setFont(appTitleLabel.getFont().deriveFont(appTitleLabel.getFont().getStyle() | java.awt.Font.BOLD, appTitleLabel.getFont().getSize()+4));
        versionLabel.setFont(versionLabel.getFont().deriveFont(versionLabel.getFont().getStyle() | java.awt.Font.BOLD));

        GroupLayout layout = new GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(imageLabel)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(GroupLayout.Alignment.TRAILING)
                    .addGroup(GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addComponent(versionLabel)
                        .addPreferredGap(LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(appVersionLabel)
                        .addGap(160, 160, 160))
                    .addComponent(appTitleLabel, GroupLayout.Alignment.LEADING)
                    .addComponent(appDescLabel, GroupLayout.Alignment.LEADING, GroupLayout.DEFAULT_SIZE, 286, Short.MAX_VALUE)
                    .addComponent(closeButton))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(GroupLayout.Alignment.LEADING)
            .addComponent(imageLabel, GroupLayout.PREFERRED_SIZE, GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(appTitleLabel)
                .addPreferredGap(LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(appDescLabel)
                .addPreferredGap(LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(GroupLayout.Alignment.BASELINE)
                    .addComponent(versionLabel)
                    .addComponent(appVersionLabel))
                .addPreferredGap(LayoutStyle.ComponentPlacement.RELATED, 59, Short.MAX_VALUE)
                .addComponent(closeButton)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private JButton closeButton;
    // End of variables declaration//GEN-END:variables
    
}
