#ifndef AGENT_H
#define AGENT_H

enum {
  CODE_LEN = 2081, // velikost pole
  MOVE_BUF_LEN = 32, // velikost bufferu pro presun
  TBL_PLAN = 1, // cisla jednotlivych tabulek
  TBL_PLANBASE = 2,
  TBL_BELIEFBASE = 3,
  TBL_INPUTBASE = 4,
  TBL_REG1 = 5,
  TBL_REG2 = 6,
  TBL_REG3 = 7,
  ACT_REG1 = 5,
  ACT_REG2 = 6,
  ACT_REG3 = 7,
  ALUOP_NOOP = -1, // prazdna operace
  ALUOP_MIN = 1,   // unarni operace, vysledek cislo
  ALUOP_MUL = 2,   // binarni operace, vysledek cislo
  ALUOP_DIV = 3,
  ALUOP_MOD = 4,
  ALUOP_ADD = 5,
  ALUOP_SUB = 6,
  ALUOP_AND = 7,
  ALUOP_NOT = 8,   // unarni operace, t/f
  ALUOP_OR  = 9,   // binarni operace, vysledek t/f
  ALUOP_LES = 10,
  ALUOP_MOR = 11,
  ALUOP_LEQ = 12,
  ALUOP_MEQ = 13,
  ALUOP_EQU = 14,
  ALUOP_NEQ = 15,
  ALUOP_CPY = 16,
  ALUOP_T_UNARY  = 1,
  ALUOP_T_BINARY = 2,
};

#endif
